# Configuration/Services.yaml
services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  KuferSoftwareKonzeption\Kuferweb\:
    resource: '../Classes/*'
    # exclude: '../Classes/View/*'

  KuferSoftwareKonzeption\Kuferweb\Hooks\CanonicalGenerator:
    tags:
      - name: event.listener
        identifier: 'kwListener'
        event: TYPO3\CMS\Seo\Event\ModifyUrlForCanonicalTagEvent

  KuferSoftwareKonzeption\Kuferweb\Hooks\NoCache:
    tags:
      - name: event.listener
        identifier: 'avoid-cache-loading'
        event: TYPO3\CMS\Frontend\Event\ShouldUseCachedPageDataIfAvailableEvent